diff --git a/cmd/apps_test.go b/cmd/apps_test.go
index ed9137c49..9aa6e82a9 100644
--- a/cmd/apps_test.go
+++ b/cmd/apps_test.go
@@ -142,7 +142,7 @@ func TestAppsInfo(t *testing.T) {
         "name": "lorem-ipsum-cmd-1911796442-48b58",
         "release": "v2",
         "type": "cmd",
-        "replicas": 1
+        "replicas": "1"
       }
     ]
 }`)
diff --git a/cmd/ps.go b/cmd/ps.go
index c5b8857a9..b01f99206 100644
--- a/cmd/ps.go
+++ b/cmd/ps.go
@@ -168,7 +168,7 @@ func printProcesses(appID string, input []api.Pods, wOut io.Writer) {
 	fmt.Fprintf(wOut, "=== %s Processes\n", appID)
 
 	for _, process := range processes {
-		fmt.Fprintf(wOut, "--- %s (%s): %d\n", process.Type, process.Status, process.Replicas)
+		fmt.Fprintf(wOut, "--- %s (%s): %s\n", process.Type, process.Status, process.Replicas)
 
 		for _, pod := range process.PodsList {
 			fmt.Fprintf(wOut, "%s %s (%s)\n", pod.Name, pod.State, pod.Release)
diff --git a/cmd/ps_test.go b/cmd/ps_test.go
index a5c2519ff..6dbfab24b 100644
--- a/cmd/ps_test.go
+++ b/cmd/ps_test.go
@@ -59,7 +59,7 @@ func TestPrintProcesses(t *testing.T) {
 			Type:     "web",
 			State:    "up",
 			Started:  time.Time{},
-			Replicas: 1,
+			Replicas: "1",
 		},
 		{
 			Release:  "v3",
@@ -67,7 +67,7 @@ func TestPrintProcesses(t *testing.T) {
 			Type:     "worker",
 			State:    "up",
 			Started:  time.Time{},
-			Replicas: 1,
+			Replicas: "1",
 		},
 	}
 
@@ -104,7 +104,7 @@ func TestPsList(t *testing.T) {
 					"name": "foo-web-4084101150-c871y",
 					"state": "up",
 					"started": "2016-02-13T00:47:52",
-					"replicas": 1
+					"replicas": "1"
 				}
 			]
 		}`)
@@ -175,7 +175,7 @@ func TestPsScale(t *testing.T) {
 					"name": "foo-web-4084101150-c871y",
 					"state": "up",
 					"started": "2016-02-13T00:47:52",
-					"replicas": 1
+					"replicas": "1"
 				}
 			]
 		}`)
@@ -217,7 +217,7 @@ func TestPsRestart(t *testing.T) {
 				"name": "foo-web-4084101150-c871y",
 				"state": "up",
 				"started": "2016-02-13T00:47:52",
-				"replicas": 1
+				"replicas": "1"
 		}
 ]`)
 	})
@@ -254,7 +254,7 @@ Could not find any processes to restart
 				"name": "testapp-web-4084101150-c871y",
 				"state": "up",
 				"started": "2016-02-13T00:47:52",
-				"replicas": 1
+				"replicas": "1"
 			}
 		]`)
 	})
@@ -279,7 +279,7 @@ testapp-web-4084101150-c871y up (v2)
 				"name": "newapp-web-4084101150-c871y",
 				"state": "up",
 				"started": "2016-02-13T00:47:52",
-				"replicas": 1
+				"replicas": "1"
 			}
 		]`)
 	})
diff --git a/go.mod b/go.mod
index 1a011d848..621e2ebc9 100644
--- a/go.mod
+++ b/go.mod
@@ -5,7 +5,7 @@ go 1.13
 require (
 	github.com/arschles/assert v1.0.1-0.20191213221312-71f210f9375a
 	github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815
-	github.com/drycc/controller-sdk-go v0.0.0-20201105013635-42fda9fec714
+	github.com/drycc/controller-sdk-go v0.0.0-20201117012836-c2e1396c3333
 	github.com/drycc/pkg v0.0.0-20200811173146-1f2b2781a852
 	github.com/olekukonko/tablewriter v0.0.4
 	golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de
diff --git a/go.sum b/go.sum
index e4a889945..04b239da9 100644
--- a/go.sum
+++ b/go.sum
@@ -47,6 +47,8 @@ github.com/drycc/controller-sdk-go v0.0.0-20201015015256-370f01036885/go.mod h1:
 github.com/drycc/controller-sdk-go v0.0.0-20201015065118-cb8f4f5e9745 h1:C3Byx1KvZtzuilCp5aikRa5hbXCUhiy8u4Iv6ATyDcI=
 github.com/drycc/controller-sdk-go v0.0.0-20201015065118-cb8f4f5e9745/go.mod h1:mF8/kZ/E4oDHCtfUVS790Frm8oVzZkoCGCKYT2eWQro=
 github.com/drycc/controller-sdk-go v0.0.0-20201105013635-42fda9fec714/go.mod h1:mF8/kZ/E4oDHCtfUVS790Frm8oVzZkoCGCKYT2eWQro=
+github.com/drycc/controller-sdk-go v0.0.0-20201117012836-c2e1396c3333 h1:BzGLCDwKVS1btrf2HhcNwtcDGwBYbGl0U6147IFfTUc=
+github.com/drycc/controller-sdk-go v0.0.0-20201117012836-c2e1396c3333/go.mod h1:mF8/kZ/E4oDHCtfUVS790Frm8oVzZkoCGCKYT2eWQro=
 github.com/drycc/pkg v0.0.0-20190129033019-bcdffff0fcb3 h1:QRAbL97/hJecXQzaSONMCiwt1JjBKAAMKK0qJW5sgIM=
 github.com/drycc/pkg v0.0.0-20190129033019-bcdffff0fcb3/go.mod h1:zNgTT6kuGZOKMIdSrjskIw5fctdbbszqiTPEt3ffxHw=
 github.com/drycc/pkg v0.0.0-20200811173146-1f2b2781a852 h1:OsWH7jrv2i32rkvHFuj3yVpGMR+A6heRge9tm01XR/U=