From 8273eea6ff6629a62a531b2d69a1d61efe3a3a26 Mon Sep 17 00:00:00 2001
From: lijianguo <lijianguo1991@outlook.com>
Date: Tue, 14 Nov 2023 10:44:47 +0800
Subject: [PATCH] chore(workflow-cli): volume mount print info

---
 cmd/volumes.go      |  5 +++--
 cmd/volumes_test.go |  2 ++
 go.mod              |  6 +++---
 go.sum              | 12 ++++++------
 4 files changed, 14 insertions(+), 11 deletions(-)

diff --git a/cmd/volumes.go b/cmd/volumes.go
index 67311621..a2d5ca52 100644
--- a/cmd/volumes.go
+++ b/cmd/volumes.go
@@ -6,10 +6,9 @@ import (
 	"regexp"
 	"strings"
 
-	"github.com/drycc/pkg/prettyprint"
-
 	"github.com/drycc/controller-sdk-go/api"
 	"github.com/drycc/controller-sdk-go/volumes"
+	"github.com/drycc/pkg/prettyprint"
 )
 
 // VolumesList list volumes in the application
@@ -177,6 +176,7 @@ func (d *DryccCmd) VolumesMount(appID string, name string, volumeVars []string)
 	}
 
 	d.Print("done\n")
+	d.Print("The pods should be restart, please check the pods up or not.\n")
 
 	return nil
 }
@@ -209,6 +209,7 @@ func (d *DryccCmd) VolumesUnmount(appID string, name string, volumeVars []string
 	}
 
 	d.Print("done\n")
+	d.Print("The pods should be restart, please check the pods up or not.\n")
 
 	return nil
 }
diff --git a/cmd/volumes_test.go b/cmd/volumes_test.go
index 753569a4..a28d91c1 100644
--- a/cmd/volumes_test.go
+++ b/cmd/volumes_test.go
@@ -165,6 +165,7 @@ func TestVolumesMount(t *testing.T) {
 	assert.NoError(t, err)
 
 	assert.Equal(t, testutil.StripProgress(b.String()), `Mounting volume... done
+The pods should be restart, please check the pods up or not.
 `, "output")
 }
 
@@ -204,5 +205,6 @@ func TestVolumesUnmount(t *testing.T) {
 	assert.NoError(t, err)
 
 	assert.Equal(t, testutil.StripProgress(b.String()), `Unmounting volume... done
+The pods should be restart, please check the pods up or not.
 `, "output")
 }
diff --git a/go.mod b/go.mod
index 49a44bee..a7cd7305 100644
--- a/go.mod
+++ b/go.mod
@@ -5,12 +5,12 @@ go 1.20
 require (
 	github.com/containerd/console v1.0.3
 	github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815
-	github.com/drycc/controller-sdk-go v0.0.0-20230711045631-016fac5b12ba
+	github.com/drycc/controller-sdk-go v0.0.0-20231108033734-99a7fbf94e7b
 	github.com/drycc/pkg v0.0.0-20230619083908-711ad2e9f1b8
 	github.com/olekukonko/tablewriter v0.0.5
 	github.com/stretchr/testify v1.8.4
 	golang.org/x/exp v0.0.0-20230522175609-2e198f4a06a1
-	golang.org/x/net v0.12.0
+	golang.org/x/net v0.17.0
 	gopkg.in/yaml.v3 v3.0.1
 	sigs.k8s.io/yaml v1.3.0
 )
@@ -19,6 +19,6 @@ require (
 	github.com/davecgh/go-spew v1.1.1 // indirect
 	github.com/mattn/go-runewidth v0.0.9 // indirect
 	github.com/pmezard/go-difflib v1.0.0 // indirect
-	golang.org/x/sys v0.10.0 // indirect
+	golang.org/x/sys v0.13.0 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 )
diff --git a/go.sum b/go.sum
index bfce1d86..a7890abd 100644
--- a/go.sum
+++ b/go.sum
@@ -4,8 +4,8 @@ github.com/davecgh/go-spew v1.1.1 h1:vj9j/u1bqnvCEfJOwUhtlOARqs3+rkHYY13jYWTU97c
 github.com/davecgh/go-spew v1.1.1/go.mod h1:J7Y8YcW2NihsgmVo/mv3lAwl/skON4iLHjSsI+c5H38=
 github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815 h1:bWDMxwH3px2JBh6AyO7hdCn/PkvCZXii8TGj7sbtEbQ=
 github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod h1:WwZ+bS3ebgob9U8Nd0kOddGdZWjyMGR8Wziv+TBNwSE=
-github.com/drycc/controller-sdk-go v0.0.0-20230711045631-016fac5b12ba h1:LCpMSZf5WO36gia4wqI1w3ff71klcvnKszlpyy4Py6k=
-github.com/drycc/controller-sdk-go v0.0.0-20230711045631-016fac5b12ba/go.mod h1:iMC7o/PFeLnx2y2xuA5TLkaTNeHA7he/bw3eOWv0hdI=
+github.com/drycc/controller-sdk-go v0.0.0-20231108033734-99a7fbf94e7b h1:Z9n6Uia65mhX6oHFAZpB9UMopqmqgMyHxI+6lMFWeBs=
+github.com/drycc/controller-sdk-go v0.0.0-20231108033734-99a7fbf94e7b/go.mod h1:X69v0xts3XpvbcQpVeR+wwQqORPJ8ClXnYvnMoAOUHE=
 github.com/drycc/pkg v0.0.0-20230619083908-711ad2e9f1b8 h1:bTPrdjJTYxMK3T6nYk7Qa8nDbvNNxvNOdI/fgVsiuCg=
 github.com/drycc/pkg v0.0.0-20230619083908-711ad2e9f1b8/go.mod h1:y/6vsR0kXRg3Vxj2M/UqApU2uL43KfMDMN2SyvwF0Ek=
 github.com/mattn/go-runewidth v0.0.9 h1:Lm995f3rfxdpd6TSmuVCHVb/QhupuXlYr8sCI/QdE+0=
@@ -18,11 +18,11 @@ github.com/stretchr/testify v1.8.4 h1:CcVxjf3Q8PM0mHUKJCdn+eZZtm5yQwehR5yeSVQQcU
 github.com/stretchr/testify v1.8.4/go.mod h1:sz/lmYIOXD/1dqDmKjjqLyZ2RngseejIcXlSw2iwfAo=
 golang.org/x/exp v0.0.0-20230522175609-2e198f4a06a1 h1:k/i9J1pBpvlfR+9QsetwPyERsqu1GIbi967PQMq3Ivc=
 golang.org/x/exp v0.0.0-20230522175609-2e198f4a06a1/go.mod h1:V1LtkGg67GoY2N1AnLN78QLrzxkLyJw7RJb1gzOOz9w=
-golang.org/x/net v0.12.0 h1:cfawfvKITfUsFCeJIHJrbSxpeu/E81khclypR0GVT50=
-golang.org/x/net v0.12.0/go.mod h1:zEVYFnQC7m/vmpQFELhcD1EWkZlX69l4oqgmer6hfKA=
+golang.org/x/net v0.17.0 h1:pVaXccu2ozPjCXewfr1S7xza/zcXTity9cCdXQYSjIM=
+golang.org/x/net v0.17.0/go.mod h1:NxSsAGuq816PNPmqtQdLE42eU2Fs7NoRIZrHJAlaCOE=
 golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod h1:h1NjWce9XRLGQEsW7wpKNCjG9DtNlClVuFLEZdDNbEs=
-golang.org/x/sys v0.10.0 h1:SqMFp9UcQJZa+pmYuAKjd9xq1f0j5rLcDIk0mj4qAsA=
-golang.org/x/sys v0.10.0/go.mod h1:oPkhp1MJrh7nUepCBck5+mAzfO9JrbApNNgaTdGDITg=
+golang.org/x/sys v0.13.0 h1:Af8nKPmuFypiUBjVoU9V20FiaFXOcuZI21p0ycVYYGE=
+golang.org/x/sys v0.13.0/go.mod h1:oPkhp1MJrh7nUepCBck5+mAzfO9JrbApNNgaTdGDITg=
 gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405 h1:yhCVgyC4o1eVCa2tZl7eS0r+SDo693bJlVdllGtEeKM=
 gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod h1:Co6ibVJAznAaIkqp8huTwlJQCZ016jof/cbN4VW5Yz0=
 gopkg.in/yaml.v2 v2.4.0 h1:D8xgwECY7CYvx+Y2n4sBz93Jn9JRvxdiyyo8CTfuKaY=