diff --git a/cmd/gateways.go b/cmd/gateways.go
index ef1e0704..acec14c5 100644
--- a/cmd/gateways.go
+++ b/cmd/gateways.go
@@ -2,7 +2,9 @@ package cmd
 
 import (
 	"fmt"
+	"strings"
 
+	"github.com/drycc/controller-sdk-go/api"
 	"github.com/drycc/controller-sdk-go/gateways"
 )
 
@@ -24,11 +26,11 @@ func (d *DryccCmd) GatewaysList(appID string, results int) error {
 	if count == 0 {
 		d.Println(fmt.Sprintf("No gateways found in %s app.", appID))
 	} else {
-
-		table := d.getDefaultFormatTable([]string{"NAME", "LISENTER", "PORT", "PROTOCOL"})
+		table := d.getDefaultFormatTable([]string{"NAME", "LISENTER", "PORT", "PROTOCOL", "ADDRESSES"})
 		for _, gateway := range gateways {
+			addresesStr := parseAddress(gateway.Addresses)
 			for _, listener := range gateway.Listeners {
-				table.Append([]string{gateway.Name, listener.Name, fmt.Sprint(listener.Port), listener.Protocol})
+				table.Append([]string{gateway.Name, listener.Name, fmt.Sprint(listener.Port), listener.Protocol, addresesStr})
 			}
 		}
 		table.Render()
@@ -77,3 +79,12 @@ func (d *DryccCmd) GatewaysRemove(appID, name string, port int, protocol string)
 	d.Println("done")
 	return nil
 }
+
+func parseAddress(addresses []api.Address) string {
+	var addresList []string
+	for _, address := range addresses {
+		addresList = append(addresList, address.Value)
+	}
+	addresStr := strings.Join(addresList, ",")
+	return addresStr
+}
diff --git a/cmd/gateways_test.go b/cmd/gateways_test.go
index 556f566d..928eb274 100644
--- a/cmd/gateways_test.go
+++ b/cmd/gateways_test.go
@@ -7,8 +7,9 @@ import (
 	"testing"
 
 	"github.com/drycc/controller-sdk-go/api"
-	"github.com/drycc/workflow-cli/pkg/testutil"
 	"github.com/stretchr/testify/assert"
+
+	"github.com/drycc/workflow-cli/pkg/testutil"
 )
 
 func TestGatewaysList(t *testing.T) {
@@ -47,6 +48,12 @@ func TestGatewaysList(t *testing.T) {
                     "protocol": "HTTPS",
                     "allowedRoutes": {"namespaces": {"from": "All"}}
                 }
+            ],
+            "addresses": [
+                {
+                    "type": "IPAddress",
+                    "value": "192.168.11.1"
+                }
             ]
         }
     ]
@@ -56,9 +63,9 @@ func TestGatewaysList(t *testing.T) {
 	err = cmdr.GatewaysList("foo", -1)
 	assert.NoError(t, err)
 
-	assert.Equal(t, b.String(), `NAME    LISENTER         PORT    PROTOCOL 
-foo     foo-80-http      80      HTTP        
-foo     foo-443-https    443     HTTPS       
+	assert.Equal(t, b.String(), `NAME    LISENTER         PORT    PROTOCOL    ADDRESSES    
+foo     foo-80-http      80      HTTP        192.168.11.1    
+foo     foo-443-https    443     HTTPS       192.168.11.1    
 `, "output")
 }
 
diff --git a/go.mod b/go.mod
index a7cd7305..d0c0b969 100644
--- a/go.mod
+++ b/go.mod
@@ -5,7 +5,7 @@ go 1.20
 require (
 	github.com/containerd/console v1.0.3
 	github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815
-	github.com/drycc/controller-sdk-go v0.0.0-20231108033734-99a7fbf94e7b
+	github.com/drycc/controller-sdk-go v0.0.0-20231124064538-8bbfc028ba6d
 	github.com/drycc/pkg v0.0.0-20230619083908-711ad2e9f1b8
 	github.com/olekukonko/tablewriter v0.0.5
 	github.com/stretchr/testify v1.8.4
diff --git a/go.sum b/go.sum
index a7890abd..c3089011 100644
--- a/go.sum
+++ b/go.sum
@@ -4,8 +4,8 @@ github.com/davecgh/go-spew v1.1.1 h1:vj9j/u1bqnvCEfJOwUhtlOARqs3+rkHYY13jYWTU97c
 github.com/davecgh/go-spew v1.1.1/go.mod h1:J7Y8YcW2NihsgmVo/mv3lAwl/skON4iLHjSsI+c5H38=
 github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815 h1:bWDMxwH3px2JBh6AyO7hdCn/PkvCZXii8TGj7sbtEbQ=
 github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod h1:WwZ+bS3ebgob9U8Nd0kOddGdZWjyMGR8Wziv+TBNwSE=
-github.com/drycc/controller-sdk-go v0.0.0-20231108033734-99a7fbf94e7b h1:Z9n6Uia65mhX6oHFAZpB9UMopqmqgMyHxI+6lMFWeBs=
-github.com/drycc/controller-sdk-go v0.0.0-20231108033734-99a7fbf94e7b/go.mod h1:X69v0xts3XpvbcQpVeR+wwQqORPJ8ClXnYvnMoAOUHE=
+github.com/drycc/controller-sdk-go v0.0.0-20231124064538-8bbfc028ba6d h1:v4qJ9Wr41nP/Zj42F1hLkzTf7wtjNJOagqnbhkOVPzo=
+github.com/drycc/controller-sdk-go v0.0.0-20231124064538-8bbfc028ba6d/go.mod h1:X69v0xts3XpvbcQpVeR+wwQqORPJ8ClXnYvnMoAOUHE=
 github.com/drycc/pkg v0.0.0-20230619083908-711ad2e9f1b8 h1:bTPrdjJTYxMK3T6nYk7Qa8nDbvNNxvNOdI/fgVsiuCg=
 github.com/drycc/pkg v0.0.0-20230619083908-711ad2e9f1b8/go.mod h1:y/6vsR0kXRg3Vxj2M/UqApU2uL43KfMDMN2SyvwF0Ek=
 github.com/mattn/go-runewidth v0.0.9 h1:Lm995f3rfxdpd6TSmuVCHVb/QhupuXlYr8sCI/QdE+0=